%
% Estructura de tabla generada automaticamente
% referencia: https://www.tablesgenerator.com/
% 
% Autor: N. Biocca <nicolas.biocca@fi.mdp.edu.ar>
%

%
% control cell width
% 
%\newcommand{\insertWidth}{\hspace{10em}}
\newcommand{\insertWidth}{\phantom{mm}}

% Please add the following required packages to your document preamble:
% \usepackage{multirow}
% \usepackage[table,xcdraw]{xcolor}
% If you use beamer only pass "xcolor=table" option, i.e. \documentclass[xcolor=table]{beamer}
\begin{table}[H]
\centering
\begin{tabular}{|c|cccccccccccc|}
\hline
 &
  \multicolumn{12}{c|}{Año y trimestre} \\ \cline{2-13} 
 &
  \multicolumn{4}{c|}{1} &
  \multicolumn{4}{c|}{2} &
  \multicolumn{4}{c|}{3} \\ \cline{2-13} 
\multirow{-3}{*}{Tarea} &
  \multicolumn{1}{c|}{1} &
  \multicolumn{1}{c|}{2} &
  \multicolumn{1}{c|}{3} &
  \multicolumn{1}{c|}{4} &
  \multicolumn{1}{c|}{1} &
  \multicolumn{1}{c|}{2} &
  \multicolumn{1}{c|}{3} &
  \multicolumn{1}{c|}{4} &
  \multicolumn{1}{c|}{1} &
  \multicolumn{1}{c|}{2} &
  \multicolumn{1}{c|}{3} &
  4 \\ \hline
A &
  \multicolumn{1}{c|}{\cellcolor{gray!75}} &
  \multicolumn{1}{c|}{\cellcolor{gray!75}} &
  \multicolumn{1}{c|}{\cellcolor{gray!75}} &
  \multicolumn{1}{c|}{\cellcolor{gray!75}} &
  \multicolumn{1}{c|}{} &
  \multicolumn{1}{c|}{} &
  \multicolumn{1}{c|}{} &
  \multicolumn{1}{c|}{} &
  \multicolumn{1}{c|}{} &
  \multicolumn{1}{c|}{} &
  \multicolumn{1}{c|}{} &
   \\ \hline
B &
  \multicolumn{1}{c|}{} &
  \multicolumn{1}{c|}{} &
  \multicolumn{1}{c|}{\cellcolor{gray!75}} &
  \multicolumn{1}{c|}{\cellcolor{gray!75}} &
  \multicolumn{1}{c|}{\cellcolor{gray!75}} &
  \multicolumn{1}{c|}{\cellcolor{gray!75}} &
  \multicolumn{1}{c|}{} &
  \multicolumn{1}{c|}{} &
  \multicolumn{1}{c|}{} &
  \multicolumn{1}{c|}{} &
  \multicolumn{1}{c|}{} &
   \\ \hline
C &
  \multicolumn{1}{c|}{} &
  \multicolumn{1}{c|}{} &
  \multicolumn{1}{c|}{} &
  \multicolumn{1}{c|}{} &
  \multicolumn{1}{c|}{\cellcolor{gray!75}} &
  \multicolumn{1}{c|}{\cellcolor{gray!75}} &
  \multicolumn{1}{c|}{\cellcolor{gray!75}} &
  \multicolumn{1}{c|}{\cellcolor{gray!75}} &
  \multicolumn{1}{c|}{} &
  \multicolumn{1}{c|}{} &
  \multicolumn{1}{c|}{} &
   \\ \hline
D &
  \multicolumn{1}{c|}{} &
  \multicolumn{1}{c|}{} &
  \multicolumn{1}{c|}{} &
  \multicolumn{1}{c|}{} &
  \multicolumn{1}{c|}{\cellcolor{gray!75}} &
  \multicolumn{1}{c|}{\cellcolor{gray!75}} &
  \multicolumn{1}{c|}{\cellcolor{gray!75}} &
  \multicolumn{1}{c|}{\cellcolor{gray!75}} &
  \multicolumn{1}{c|}{} &
  \multicolumn{1}{c|}{} &
  \multicolumn{1}{c|}{} &
   \\ \hline
E &
  \multicolumn{1}{c|}{} &
  \multicolumn{1}{c|}{} &
  \multicolumn{1}{c|}{} &
  \multicolumn{1}{c|}{} &
  \multicolumn{1}{c|}{} &
  \multicolumn{1}{c|}{} &
  \multicolumn{1}{c|}{\cellcolor{gray!75}} &
  \multicolumn{1}{c|}{\cellcolor{gray!75}} &
  \multicolumn{1}{c|}{\cellcolor{gray!75}} &
  \multicolumn{1}{c|}{\cellcolor{gray!75}} &
  \multicolumn{1}{c|}{} &
   \\ \hline
F &
  \multicolumn{1}{c|}{\insertWidth\cellcolor{gray!75}} &
  \multicolumn{1}{c|}{\insertWidth\cellcolor{gray!75}} &
  \multicolumn{1}{c|}{\insertWidth\cellcolor{gray!75}} &
  \multicolumn{1}{c|}{\insertWidth\cellcolor{gray!75}} &
  \multicolumn{1}{c|}{\insertWidth\cellcolor{gray!75}} &
  \multicolumn{1}{c|}{\insertWidth\cellcolor{gray!75}} &
  \multicolumn{1}{c|}{\insertWidth\cellcolor{gray!75}} &
  \multicolumn{1}{c|}{\insertWidth\cellcolor{gray!75}} &
  \multicolumn{1}{c|}{\insertWidth\cellcolor{gray!75}} &
  \multicolumn{1}{c|}{\insertWidth\cellcolor{gray!75}} &
  \multicolumn{1}{c|}{\insertWidth\cellcolor{gray!75}} &
   \insertWidth\cellcolor{gray!75} \\ \hline
\end{tabular}
\end{table}